/*
             Copyright 1994,1995,2000 Digital Equipment Corporation
                        All rights reserved.

   Redistribution and use in source and binary forms are
   permitted provided that: 1) source distributions retain this
   entire copyright notice and 2) distributions including
   binaries display the following acknowledgment in its
   documentation:

           "This product includes software developed by the
            Digital Equipment Corporation"
*/
/*
** Author:  George Chaltas
**	    Digital Equipment Corporation
** updated for Tru64 UNIX V5.x by Bernard Laforgue, DEC then Compaq
*/

#include <Mrm/MrmAppl.h>

struct def_t {
    int interval;
    int count;
    Boolean hidebars;
}; 

struct tick_struct {
	long ticks[5];
};

struct legend_struct {
    int num_labels;
    char *labels[8];
};

typedef struct {
	int bar_type;
		/* PROPORTION | MULTI_PROPORTION | PROPORTION_LIMIT | LENGTH */
	int num_scales;
	void (*update)();
	void (*init)();
	char *label;
	struct legend_struct legend;
} BarInfo; 


#define k_exit -1	
#define k_Freeze -2
#define k_Interval -3
#define k_OK -4
#define k_copyright -5
#define k_tool_menu -6

#define k_CPU	0
#define k_MEMORY	1
#define k_UBC		2
#define k_UBC_status	3
#define k_UBC_cache	4
#define k_MetaData_cache	5
#define k_PageFaults	6

#define MAXSTR 512
#define DEF_INTERVAL	1
#define DEF_COUNT		-1

#define MAX_VALUES 5

#define PROPORTION 1
#define LENGTH 2
#define MULTI_PROPORTION 3
#define PROPORTION_LIMIT 4

/*
** MKN: Put MAX_BARS here for general use
*/
#define MAX_BARS 9

/* Now this should be the only place to update the number of CPUS */
#define MAX_CPUS 32 
